#include "stdafx.h"
#include "ShowInput.h"
#include "MainFrm.h"
#include "ShowInputDoc.h"
#include "ShowInputView.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif

//The one and only CShowInputApp object
#pragma warning(suppress: 26426)
CShowInputApp theApp;


#pragma warning(suppress: 26433 26440)
BEGIN_MESSAGE_MAP(CShowInputApp, CWinApp) //NOLINT(clang-diagnostic-unused-local-typedef, modernize-avoid-c-arrays)
  ON_COMMAND(ID_APP_ABOUT, &CShowInputApp::OnAppAbout)
  ON_COMMAND(ID_FILE_NEW, &CWinApp::OnFileNew)
  ON_COMMAND(ID_FILE_OPEN, &CWinApp::OnFileOpen)
END_MESSAGE_MAP()

BOOL CShowInputApp::InitInstance()
{
  if (!AfxOleInit())
    return FALSE;

  if (!__super::InitInstance())
    return FALSE;

  //Register the application's document templates.  Document templates
  // serve as the connection between documents, frame windows and views.
#pragma warning(suppress: 26400 26409)
  AddDocTemplate(new CSingleDocTemplate(IDR_MAINFRAME, RUNTIME_CLASS(CShowInputDoc),
                 RUNTIME_CLASS(CMainFrame), RUNTIME_CLASS(CShowInputView)));

  //Parse command line for standard shell commands, DDE, file open
  CCommandLineInfo cmdInfo;
  ParseCommandLine(cmdInfo);

  //Dispatch commands specified on the command line
  if (!ProcessShellCommand(cmdInfo))
    return FALSE;

  //The one and only window has been initialized, so show and update it.
  m_pMainWnd->ShowWindow(SW_SHOW);
  m_pMainWnd->UpdateWindow();

  return TRUE;
}


class CAboutDlg : public CDialog
{
public:
  CAboutDlg();

  enum { IDD = IDD_ABOUTBOX };

  void DoDataExchange(CDataExchange* pDX) override;

protected:

  DECLARE_MESSAGE_MAP()
};

#pragma warning(suppress: 26455)
CAboutDlg::CAboutDlg() : CDialog{CAboutDlg::IDD}
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
  //Let the base class do its thing
  __super::DoDataExchange(pDX);
}

#pragma warning(suppress: 26433 26440)
BEGIN_MESSAGE_MAP(CAboutDlg, CDialog) //NOLINT(clang-diagnostic-unused-local-typedef, modernize-avoid-c-arrays)
END_MESSAGE_MAP()

void CShowInputApp::OnAppAbout()
{
  CAboutDlg aboutDlg;
  aboutDlg.DoModal();
}
