#pragma once

class CShowInputDoc : public CDocument
{
public:
//Constructors / Destructors
  CShowInputDoc(const CShowInputDoc&) = delete;
  CShowInputDoc(CShowInputDoc&&) = delete;
  ~CShowInputDoc() = default; //NOLINT(modernize-use-override)

//Methods
  CShowInputDoc& operator=(const CShowInputDoc&) = delete;
  CShowInputDoc& operator=(CShowInputDoc&&) = delete;

protected:
#pragma warning(suppress: 26455)
  CShowInputDoc() = default;

//Methods
  BOOL OnNewDocument() override;
  void Serialize(CArchive& ar) override;

  DECLARE_MESSAGE_MAP()

  DECLARE_DYNCREATE(CShowInputDoc)
};
